﻿define(["settings"],
        function (settings) {
                        
            return {
                _isEnabled:function(){
                    return settings.enableLogging;
                },
                log: function (val) {
                    if (!this._isEnabled()) return;
                    console.log(val);
                },
                error: function (val) {
                    if (!this._isEnabled()) return;
                    console.error(val);
                },
                warn: function (val) {
                    if (!this._isEnabled()) return;
                    console.warn(val);
                },
            }
        }
);

