﻿define([
  'models/base', 'globalize'
], function (ModelBase, globalize) {

    var translate = globalize.localizeBase("views.forgot-password.validation");

    var Model = ModelBase.extend({
        defaults: {
            email: "",
        },
        validation: {
            email: {
                required: true,
                msg: function () {
                    return translate("email.required");
                }
            }
        },
        url: "/user/forgot-password-request"
    });

    return Model;
});