﻿define([
  'jquery',
  'underscore',
  'globalize',
  'uiGlobal',
  'uiControlBase'
], function ($, _, globalize, uiGlobal, uiControlBase) {

    var template = _.template("<div class=\"light block-block\"><div class=\"center-center\"><i class=\"icon icon-spinner spin icon-6x block\"></i> <%=text %></div></div>");

    var Loader = uiControlBase.extend({
        template: template,
        getRenderData: function () {
            
            return _.extend({
                text: globalize.localize("views.shared.loading.message")
            },this.options);
        },
        onBeforeDestory: function () {
           
        },
        onRender: function () {
            if (!this.el) return this;
        }
    });

    return Loader;
});