﻿define([
  'jquery',
  'underscore',
  'api',
  'globalize',
  'views/base',
  'uiTimeAgo',
  'collections/me/payment',
  'template'
], function ($, _, api, globalize, ViewBase, uiTimeago, Collection,template) {
    var View = ViewBase.extend({
        title: "My payments",
        collection: null,
        apiData:null,
        initialize: function (options) {
            this.constructor.__super__.initialize.call(this);

            this.collection = new Collection({
            });
            this.load();
        },
        load: function () {
            var self = this;

            this.apiData = {
                p: 1
            };

            // get from cache

            // load view from cache
            self.render();

            this.fetch({
                reset: true,
                data: this.apiData
            }, this.collection).done(function (data) {
                self.render();
            });
        },
        renderTemplate: function () {
            return template.me.payment({
                list: this.collection.toJSON(),
                totalCount:this.collection.totalCount
            });
        },
        initializeFooter: function (o) {
            o.viewNone();
        }
    });
    return View;
});