﻿define([
  'collections/base'
], function (CollectionBase) {
    var Collection = CollectionBase.extend({
        url: "/user/payment",
        totalCount: 0,
        parse: function (response) {
            // we are expecting paging options (total count, etc)
            this.totalCount = response.totalCount;
            return response.items;
        }
    });

    return Collection;
});