﻿define([],
    function () {

        return {
            // do not translate this column                             // translate this column

            // collections
            "collections.offerFilter.sortPreset.default": "Default",
            "collections.offerFilter.sortPreset.mostrecent": "Most recent",
            "collections.offerFilter.sortPreset.lowestprice": "Lowest price",
            "collections.offerFilter.sortPreset.highestprice": "Highest price",

            "collections.offerFilter.datePreset.all": "All ads",
            "collections.offerFilter.datePreset.1day": "24 hours",
            "collections.offerFilter.datePreset.2days": "48 hours",
            "collections.offerFilter.datePreset.7days": "7 days",

            /* shared views */
            "views.shared.back": "Back",
            "views.shared.cancel": "Cancel",
            "views.shared.close": "Close",
            "views.shared.accept": "Accept",
            "views.shared.validation.message": "Some fields are not valid!",
            "views.shared.rent.label": "Rent",
            "views.shared.price.label": "Price",
            "views.shared.priceVehicle.label": "Price of vehicle",
            "views.shared.prepayment.label": "Prepayment",
            "views.shared.select-category.message": "Select category",
            "views.shared.select-region.message": "Select region",
            "views.shared.select-location.message": "Select location",

            /* application level messages */
            "views.app.sign-out": "You were signed out",
            "views.app.upgrade.title": "Application upgrade ready",
            "views.app.upgrade.message": "New application version is ready!",
            "views.app.upgrade.button.yes": "Install",
            "views.app.upgrade.button.no": "Cancel",
            "views.app.offline.info": "You are not connected to internet",
            "views.app.online.info": "We are back online!",

            /* header, footer, side menu */
            "views.side-menu.offer-title": "Offers",
            "views.side-menu.offer-search": "Search",
            "views.side-menu.offer-category": "Category",
            "views.side-menu.offer-favorites": "Favorites",
            "views.side-menu.offer-hot": "Hot",
            "views.side-menu.my-title": "Account",
            "views.side-menu.my-offer": "My offers",
            "views.side-menu.my-message": "My messages",
            "views.side-menu.my-order": "My orders",
            "views.side-menu.settings": "Settings",
            "views.side-menu.login": "Login",
            "views.side-menu.register": "Register",
            "views.side-menu.home": "Home",

            "views.header.accept": "Accept",
            "views.footer.offer-hot": "Hot",
            "views.footer.offer-search": "Offers",
            "views.footer.offer-favorite": "Favorite",
            "views.footer.offer-create": "Create",
            "views.footer.offer-category": "Category",
			"views.footer.home": "Home",
            "views.footer.me": "Me",

            /* view base */
            "views.base.not-authenticated-message": "You must log in first!",
            "views.base.signed-out-message": "You are now signed out!",
			
			/* change location */
            "views.location.title":                                     "Select region",
            "views.location.success.info":                              "Location was changed",
            "views.location.iran": "Select region",
            "views.location.any":                               "All regons",

            /* view login */
            "views.login.title": "Login",
            "views.login.email.placeholder": "email",
            "views.login.password.placeholder": "password",
            "views.login.save.button": "Sign in",
            "views.login.saving.button": "Signing you in ...",
            "views.login.welcome-message": "Welcome back",
            "views.login.forgot-password.button": "Did you forget your password?",
            "views.login.register.info": "You don't have an account yet?",
            "views.login.register.button": "Register",

            /* view register */
            "views.register.title": "Register",
            "views.register.nickName.placeholder": "user name",
            "views.register.email.placeholder": "email",
            "views.register.password.placeholder": "password",
            "views.register.save.button": "Create account",
            "views.register.saving.button": "Creating account ...",
            "views.register.login.info": "You already have an account?",
            "views.register.login.button": "Sign in",
            "views.register.tos.info": "By tapping \"Create account\" above, you are agreeing to the [BUTTON].",
            "views.register.tos.button": "terms of service",
            "views.register.confirm-account.info.title":"We sent you confirmation email!",
            "views.register.confirm-account.info": "Before using our application, you need to confirm your email. You can do this by clicking confirmation link in an email, " +
                                                   "that we sent to [EMAIL].\n\n" +
                                                   "If you haven't recieved your email please check your spam folder.\n\n" +
                                                   "If you mistyped your email address please register again.\n\n" +
                                                   "After confirming your email please return to this application and login here.",
            "views.register.confirm-account.info.login.button":"Login",

            /* view forgot-password */
            "views.forgot-password.title": "Forgot password",
            "views.forgot-password.email.placeholder": "email",
            "views.forgot-password.success-message": "Password reset link was sent to your email",
            "views.forgot-password.info": "Enter your email and we will send you password reset instructions.",
            "views.forgot-password.save.button": "Request new password",
            "views.forgot-password.saving.button": "Sending request ...",

            /* view me-profile */
            "views.me.profile.title": "Profile",
            "views.me.profile.sign-out-confirm": "Are you sure you want to sign out?",
            "views.me.profile.sign-out-message": "You are now signed out!",
            "views.me.profile.sign-out.button": "Sign out",
            "views.me.profile.change-password.button": "Change password",
            "views.me.profile.change-email.button": "Change email",

			/* view change-password */
            "views.me.change-password.title":                           "Change password",
            "views.me.change-password.old-password.label":              "Old password",
            "views.me.change-password.old-password.placeholder":        "old password",
            "views.me.change-password.new-password.label":              "New password",
            "views.me.change-password.new-password.placeholder":        "new password",
            "views.me.change-password.repeat-password.label":           "Repeat new password",
            "views.me.change-password.repeat-password.placeholder":     "repeat new password",
            "views.me.change-password.success.info":                    "Password was successfully changed",
            "views.me.change-password.validation.old-password.required": "Old password must not be empty",
            "views.me.change-password.validation.new-password.required": "New password must not be empty",
            "views.me.change-password.validation.new-password-repeat.required": "Repeat password",

            /* view change-email */
            "views.me.change-email.title":                              "Change email",
            "views.me.change-email.old-email.label":                    "Current email",
            "views.me.change-email.new-email.label":                    "New email",
            "views.me.change-email.new-email.placeholder":              "new email",
            "views.me.change-email.success.info": "Email change confirmation link was sent to your mail.",
            "views.me.change-email.validation.email.required":          "Email must not be empty",

            /* view me/offer */
            "views.me.offer.title":                                     "آگهی های من",
            "views.me.offer.empty.message":                             "شما هنوز هیچ آگهی ثبت نکرده‌اید!",
            "views.me.offer.empty.add-offer.button": "الان یکی ثبت کنید",
            "views.me.offer.onmoderation.label": "pending moderation",

            /* view me/offer-edit */
            "views.me.offer-edit.title": "Offer",
            "views.me.offer-edit.name.label": "Name",
            "views.me.offer-edit.name.placeholder": "type in offer name",
            "views.me.offer-edit.description.label": "Description",
            "views.me.offer-edit.description.placeholder": "describe what you are selling",
            "views.me.offer-edit.category.label": "Category",
            "views.me.offer-edit.location.label": "Location",
            "views.me.offer-edit.location.list.title": "Location",
            "views.me.offer-edit.gallery.label": "Images",
            "views.me.offer-edit.upload.label": "What do you want to do?",
            "views.me.offer-edit.upload.from-gallery": "From gallery",
            "views.me.offer-edit.upload.from-camera": "From camera",
            "views.me.offer-edit.contact.label": "Contact name",
            "views.me.offer-edit.contact.placeholder": "Contact name",
            "views.me.offer-edit.mobile.label": "Mobile",
            "views.me.offer-edit.mobile.placeholder": "enter mobile number",
            "views.me.offer-edit.landline1.label": "Land line 1",
            "views.me.offer-edit.landline1.placeholder": "enter landline number",
            "views.me.offer-edit.landline2.label": "Land line 2",
            "views.me.offer-edit.landline2.placeholder": "enter landline number",
            "views.me.offer-edit.tos.info": "By tapping \"Save\" above, you are agreeing to the [BUTTON].", 
            "views.me.offer-edit.tos.button": "شرایط و قوانین استفاده",
            "views.me.offer-edit.success.info": "Offer was successfully saved",
            "views.me.offer-edit.validation.name.required": "Name must not be empty",
            "views.me.offer-edit.validation.description.required": "Description must not be empty",
            "views.me.offer-edit.validation.contact.required": "Contact must not be empty",
            "views.me.offer-edit.validation.category.required": "Category must not be empty",
            "views.me.offer-edit.validation.location.required": "Location must not be empty",
            "views.me.offer-edit.validation.attribute.required": "Value must not be empty",

            /* view offer/view */
            "views.offer.view.title":                                   "Offer",
            "views.offer.view.footer.favorite-add":                     "Favorite",
            "views.offer.view.footer.favorite-remove":                  "Favorite",
            "views.offer.view.footer.share":                            "Share",
            "views.offer.view.footer.contact":                          "Contact",
            "views.offer.view.footer.contact.label":                    "How do you wish to contact this person?",
            "views.offer.view.footer.contact.send-message":             "Send a message",
            "views.offer.view.footer.contact.call-mobile":              "Call mobile [PHONE]",
            "views.offer.view.footer.contact.call-phone":               "Call phone [PHONE]",
            "views.offer.view.footer.contact.cancel":                   "Cancel",
            "views.offer.view.footer.share.title":                      "Cool offer",
            "views.offer.view.footer.share.message":                    "Check out this cool offer",
            "views.offer.view.favorite.add.info":                       "Added to favorites",
            "views.offer.view.favorite.remove.info":                    "Removed to favorites",
            "views.offer.view.prepayment.label":                        "Prepayment",
            "views.offer.view.price.label":                             "Price",
            "views.offer.view.rent.label":                              "Rent",
            "views.offer.view.location.label":                          "Location",
            "views.offer.view.date.label":                              "Date added",
            "views.offer.view.attributes.label":                        "Attributes",
            
            /* view offer/view-message */
            "views.offer.view-message.title":                           "Send message",
            "views.offer.view-message.message.placeholder":             "write something",
            "views.offer.view-message.send-copy.label":                 "Send me copy of message",
            "views.offer.view-message.success.info":                    "Message sent!",

            /* view offer/search */
            "views.offer.search.title":                                 "Offers",
            "views.offer.search.empty.message":                         "There are no offers that match your search criteria.",
            "views.offer.search.empty.filter.button":                   "Change filter settings",

            /* view offer/search-filter */
            "views.offer.search-filter.title":                          "Search",
            "views.offer.search-filter.search.button":                  "Search",
            "views.offer.search-filter.category.any":                   "Any category",
            "views.offer.search-filter.category.select":                "Select category",
            "views.offer.search-filter.region.any":                     "Any region",
            "views.offer.search-filter.region.select":                  "Select region",
            "views.offer.search-filter.city.any":                       "Any city",
            "views.offer.search-filter.city.select":                    "Select city",
            "views.offer.search-filter.neighbourhood.any":              "Any neighbourhood",
            "views.offer.search-filter.neighbourhood.select":           "Select neighbourhood",
            "views.offer.search-filter.price.select":                   "Select price",
            "views.offer.search-filter.price.any":                      "Any price",
            "views.offer.search-filter.price.any.selected":             "Any price selected.",
            "views.offer.search-filter.price.from-to":                  "From [FROM] to [TO]",
            "views.offer.search-filter.price.from":                     "From [FROM]",
            "views.offer.search-filter.price.to":                       "To [TO]",
            "views.offer.search-filter.date.select":                    "Select date",
            "views.offer.search-filter.sort.select":                    "Select sort",
            "views.offer.search-filter.reset.success":                  "Offer filter was reset.",
            "views.offer.search-filter.keywords.label":                 "Keywords",
            "views.offer.search-filter.keywords.placeholder":           "keywords",
            "views.offer.search-filter.location.label":                 "Location",
            "views.offer.search-filter.category.label":                 "Category",
            "views.offer.search-filter.price.label":                    "Price",
            "views.offer.search-filter.date.label":                     "Date",
            "views.offer.search-filter.sort.label":                     "Sort",
            "views.offer.search-filter.pictures-only.label":            "Show only offers with pictures",
            "views.offer.search-filter.reset.button":                   "Reset your search criteria.",
            "views.offer.search-filter.reset.info":                     "Do you wish to see all offers?",

            /* view offer/hot */
            "views.offer.hot.title":                                    "Hot offers",
            "views.offer.hot.empty.message":                            "There are no hot offers at the moment",
            "views.offer.hot.empty.search.button":                      "Check out other offers.",

            /* view offer/favorites */
            "views.offer.favorites.title":                              "Favorites",
            "views.offer.favorites.empty.message":                      "You have no favorite offers",
            "views.offer.favorites.empty.search.button":                "Check out other offers.",

            /* view TOS */
            "views.tos.title": "TOS"
        };

    }

);

