﻿define([],

    function () {

        return {
            // do not translate this column                             // translate this column

            // collections
            "collections.offerFilter.sortPreset.default": "مرتب سازی بر اساس",
            "collections.offerFilter.sortPreset.mostrecent": "جدید‌ترین آگهی",
            "collections.offerFilter.sortPreset.lowestprice": "پایین‌ترین قیمت",
            "collections.offerFilter.sortPreset.highestprice": "بالا‌ترین قیمت",

            "collections.offerFilter.datePreset.all": "همه آگهی‌ها",
            "collections.offerFilter.datePreset.1day": "۲۴ ساعت گذشته",
            "collections.offerFilter.datePreset.2days": "۴۸ ساعت گذشته",
            "collections.offerFilter.datePreset.7days": "۷ روز گذشته",

            "collections.doping.free.name": "ثبت آگهی رایگان",
            "collections.doping.free.description": "آگهی شما در شیپور نمایش داده خواهد شد",
            "collections.doping.bronze.name": "ثبت آگهی با ویتامین برنزی",
            "collections.doping.bronze.description": "این ویتامین آگهی شما را چشمگیر خواهد کرد  و آن را در قسمت ویژه گروه مربوطه نشان خواهد داد، که باعث می‌شود بازدید آگهی شما  بیش از 170% افزایش یابد.",
            "collections.doping.silver.name": "ثبت آگهی با ویتامین نقره‌ای",
            "collections.doping.silver.description": "این ویتامین علاوه بر ویژگی های ویتامین برنزی، امکان ایمیل و فروش فوری را به آگهی شما اضافه می‌کند و در کل بازدید آگهی شما را حدود ۲۲۰٪ افزایش خواهد داد",
            "collections.doping.diamond.name": "ثبت آگهی با ویتامین طلایی",
            "collections.doping.diamond.description": "این ویتامین علاوه بر ویژگی های ویتامین نقره‌ای، آگهی شما را در صفحه‌ی اول سایت شیپور نیز نشان می‌دهد و در کل بازدید آگهی شما را حدود ۶۹۰٪ افزایش خواهد داد ",

            /* shared views */
            "views.shared.back": "برگشت",
            "views.shared.cancel": "انصراف",
            "views.shared.close": "بستن",
            "views.shared.accept": "تأیید",
            "views.shared.yes": "بله",
            "views.shared.no": "خیر",
            "views.shared.validation.message": "بعضی از قسمت ها درست پر نشده اند!",
            "views.shared.select-category.message": "انتخاب گروه",
            "views.shared.select-region.message": "انتخاب استان",
            "views.shared.select-location.message": "مکان",
            "views.shared.select.message": "انتخاب",
            "views.shared.loading.message": "در حال بارگذاری",
            "views.shared.price.label": "قیمت",
            "views.shared.priceVehicle.label": "قیمت خودرو",
            "views.shared.rent.label": "اجاره",
            "views.shared.prepayment.label": "رهن",
            "views.shared.offer.eye-catching.label": "فوری",

            /* application level messages */
            "views.app.sign-out": "شما از حساب کاربری خود خارج شدید!",
            "views.app.upgrade.title": "نسخه جدید",
            "views.app.upgrade.message": "نسخه جدید آماده است. آیا مایل به دانلود آن هستید؟",
            "views.app.upgrade.button.yes": "نصب",
            "views.app.upgrade.button.no": "انصراف",
            "views.app.offline.info": "شما به اینترنت وصل نیستید",
            "views.app.online.info": "شما به اینترنت مجددا وصل شدید",

            /* header, footer, side menu */
            "views.side-menu.offer-title": "آگهی‌ها",
            "views.side-menu.offer-search": "آگهی‌ها",
            "views.side-menu.offer-category": "گروه‌بندی",
            "views.side-menu.offer-favorites": "مورد‌علاقه",
            "views.side-menu.offer-hot": "فوری",
            "views.side-menu.my-title": "حساب کاربری من",
            "views.side-menu.my-offer": "آگهی‌های من",
            "views.side-menu.my-message": "پیام‌های من",
            "views.side-menu.my-order": "ویتامین‌های من",
            "views.side-menu.settings": "تنظیمات",
            "views.side-menu.login": "ورود",
            "views.side-menu.register": "ثبت‌نام",
            "views.side-menu.home": "خانه",
            "views.side-menu.feedback": "تماس با پشتیبانی",

            "views.header.accept": "تأیید",
            "views.header.filter": "فیلتر",
            "views.footer.offer-hot": "فوری",
            "views.footer.offer-search": "صفحه آگهی ها",
            "views.footer.offer-favorite": "مورد‌علاقه",
            "views.footer.offer-create": "درج آگهی",
            "views.footer.offer-category": "گروه‌ها",
            "views.footer.home": "خانه",
            "views.footer.me": "من",

            /* view base */
            "views.base.not-authenticated-message": "شما ابتدا باید وارد حساب کاربری خود شوید!",
            "views.base.signed-out-message": "شما از حساب کاربری خود خارج شدید!",
            "views.base.error.info": "مشکلی در نمایش آگهی ها بوجود آمد",
            "views.base.error.refresh.button": "لطفا دوباره سعی کنید",

            /* select location */
            "views.location.title": "انتخاب استان",
            "views.location.title.region": "انتخاب استان",
            "views.location.title.city": "انتخاب شهر",
            "views.location.title.neighbourhood": "انتخاب محله",
            "views.location.success.info": "استان تغییر کرد",
            "views.location.iran": "انتخاب استان",
            "views.location.any": "همه استان‌ها",
            "views.location.previous.region.button": "برگشت به استان‌ها",
            "views.location.previous.city.button": "برگشت به شهر [NAME]",
            "views.location.select.info": "لطفا استان را انتخاب کنید",
            "views.location.select-in-region.info": "شهر خود را در استان [LOCATION] انتخاب کنید",
            "views.location.select-in-city.info": "محله خود را در شهر [LOCATION] انتخاب کنید",

            /* select category */
            "views.category.title": "انتخاب گروه",
            "views.category.iran": "انتخاب استان",
            "views.category.previous.root.button": "برگشت به صفحه اصلی گروه‌ها",
            "views.category.previous.button": "برگشت به گروه [NAME]",
            "views.category.select.info": "گروه خود را انتخاب کنید",
            "views.category.select-in.info": "زیرگروه خود را در گروه [CATEGORY] انتخاب کنید",

            /* view login */
            "views.login.title": "ورود",
            "views.login.info": "ورود به حساب کاربری فقط دفعه اول لازم است",
            "views.login.email.placeholder": "ایمیل",
            "views.login.password.placeholder": "رمز ‌عبور",
            "views.login.save.button": "ورود",
            "views.login.saving.button": "در حال ورود ...",
            "views.login.welcome-message": "خوش آمدید!",
            "views.login.forgot-password.button": "رمز عبور خود را فراموش کردید؟",
            "views.login.register.info": "هنوز حساب کاربری ایجاد نکردید؟",
            "views.login.register.button": "ثبت‌نام",
            "views.login.validation.email.required": "هنوز آدرس ایمیل شما درج نشده است",
            "views.login.validation.password.required": "هنوز رمز عبور شما درج نشده است",
            "views.login.confirm-account.info": "شما اول باید حساب کاربری خود را تایید کنید. ایمیلی حاوی لینک تایید به شما ارسال ‌شد.",

            /* view register */
            "views.register.title": "ثبت‌نام",
            "views.register.info": "",
            "views.register.nickName.placeholder": "نام کاربری",
            "views.register.email.placeholder": "ایمیل",
            "views.register.password.placeholder": "رمز عبور",
            "views.register.save.button": "ثبت‌نام",
            "views.register.saving.button": "در حال ایجاد حساب کاربری ...",
            "views.register.login.info": "قبلاْ حساب کاربری ایجاد کرده‌اید؟",
            "views.register.login.button": "ورود",
            "views.register.tos.info": "با ثبت نام در شیپور، شما با [BUTTON] موافقت کردید.",  // this is already translated
            "views.register.tos.button": "شرایط استفاده",
            "views.register.validation.nickName.required": "نام کاربری هنوز درج نشده است",
            "views.register.validation.email.required": "آدرس ایمیل هنوز درج نشده است",
            "views.register.validation.password.required": "رمز عبور هنوز درج نشده است",
            "views.register.success.info": "حساب کاربری با موفقیت ایجاد شد",
            "views.register.confirm-account.info.title": "ما به شما ایمیل تایید ارسال کرده‌ایم!",
            "views.register.confirm-account.info": "شما اول باید ایمیل خود را تایید کنید تا بتوانید از امکانات سایت استفاده کنید. , " +
                                                   "جهت انجام این کار لطفاً روی لینک تایید که به [EMAIL] ارسال شده است کلیک کنید.\n\n" +
                                                   "اگر هنوز ایمیل تایید را دریافت نکرده‌اید، قسمت اسپم (spam) ایمیل خود را چک کنید.\n\n" +
                                                   "اگر ایمیل خود را اشتباه تایپ کرده‌اید لطفا مجددا ثبت نام کنید.\n\n" +
                                                   "بعد از تایید ایمیل خود، لطفا به نرم‌‌افزار برگردید و از اینجا وارد شوید.",
            "views.register.confirm-account.info.login.button": "ورود",

            /* view feedback */
            "views.feedback.title": "تماس با پشتیبانی",
            "views.feedback.email.label": "ایمیل",
            "views.feedback.email.placeholder": "لطفا ایمیل خود را درج نمایید",
            "views.feedback.subject.label": "موضوع",
            "views.feedback.subject.placeholder": "لطفا موضوع پیام را درج نمایید",
            "views.feedback.message.label": "پیام",
            "views.feedback.message.placeholder": "پیام خود را اینجا درج نمایید",
            "views.feedback.success.info": "پیام ارسال شد!",
            "views.feedback.validation.email.required": "آدرس ایمیل هنوز درج نشده است",
            "views.feedback.validation.subject.required": "موضوع پیام هنوز درج نشده است",
            "views.feedback.validation.message.required": "هیچ پیامی هنوز درج نشده است",
            "views.feedback.footer.info": "جهت تماس با پشتیبانی با شماره 5 - 88950431 (021) تماس بگیرید.",

            /* view forgot-password */
            "views.forgot-password.title": "رمز عبورم را فراموش کردم",
            "views.forgot-password.email.placeholder": "ایمیل",
            "views.forgot-password.success-message": "لینک تغییر رمزعبور به ایمیل شما ارسال شد",
            "views.forgot-password.info": ".ایمیل خود را وارد کنید تا نحوه تغییر رمز عبور به شما ارسال شود",
            "views.forgot-password.save.button": "درخواست رمز عبور جدید",
            "views.forgot-password.saving.button": "در حال ارسال درخواست...",
            "views.forgot-password.validation.email.required": "آدرس ایمیل هنوز درج نشده است",

            /* view me-profile */
            "views.me.profile.title": "حساب کاربری من",
            "views.me.profile.sign-out-confirm": "آیا می‌خواهید از حساب کاربری خود خارج شوید؟",
            "views.me.profile.sign-out-message": "شما از حساب کاربری خود خارج شدید",
            "views.me.profile.sign-out.button": "خروج",
            "views.me.profile.sign-in.button": "ورود",
            "views.me.profile.register.button": "ثبت‌نام",
            "views.me.profile.tos.button": "شرایط استفاده",
            "views.me.profile.privacy-policy.button": "سیاست حفظ حریم شخصی",
            "views.me.profile.change-password.button": "تغییر رمز عبور",
            "views.me.profile.change-email.button": "تغییر ایمیل",

            /* view change-password */
            "views.me.change-password.title": "تغییر رمز عبور",
            "views.me.change-password.old-password.label": "رمز عبور قبلی",
            "views.me.change-password.old-password.placeholder": "رمز عبور قبلی",
            "views.me.change-password.new-password.label": "رمز عبور جدید",
            "views.me.change-password.new-password.placeholder": "رمز عبور جدید",
            "views.me.change-password.repeat-password.label": "تکرار رمز عبور جدید",
            "views.me.change-password.repeat-password.placeholder": "تکرار رمز عبور جدید",
            "views.me.change-password.success.info": "رمز عبور شما با موفقیت تغییر کرد",
            "views.me.change-password.validation.old-password.required": "رمز عبور قبلی هنوز درج نشده است",
            "views.me.change-password.validation.new-password.required": "رمز عبور جدید هنوز درج نشده است",
            "views.me.change-password.validation.new-password-repeat.required": "رمز عبور جدید را مجدداً درج نمایید",

            /* view change-email */
            "views.me.change-email.title": "تغییر ایمیل",
            "views.me.change-email.old-email.label": "ایمیل فعلی",
            "views.me.change-email.new-email.label": "ایمیل جدید",
            "views.me.change-email.new-email.placeholder": "ایمیل جدید",
            "views.me.change-email.success.info": "لینک تایید آدرس ایمیل جدید به ایمیل شما ارسال شد",
            "views.me.change-email.validation.email.required": "آدرس ایمیل هنوز درج نشده است",

            /* view me/offer */
            "views.me.offer.title": "آگهی های من",
            "views.me.offer.empty.message": "شما هنوز هیچ آگهی ثبت نکرده‌اید!",
            "views.me.offer.empty.add-offer.button": "رایگان یک آگهی ثبت کنید",
            "views.me.offer.active.label": "فعال",
            "views.me.offer.inactive.label": "غیرفعال",
            "views.me.offer.onmoderation.label": "در انتظار تایید ادمین",
            "views.me.offer.view-number.label": "تعداد بازدیدها: [NUMBER]",

            /* view offer/view */
            "views.me.offer-view.title": "آگهی",
            "views.me.offer-view.footer.delete": "حذف",
            "views.me.offer-view.footer.upgrade": "تقویت",
            "views.me.offer-view.footer.edit": "ویرایش",
            "views.me.offer-view.prepayment.label": "رهن",
            "views.me.offer-view.price.label": "قیمت",
            "views.me.offer-view.rent.label": "اجاره",
            "views.me.offer-view.location.label": "مکان",
            "views.me.offer-view.date.label": "تاریخ ثبت",
            "views.me.offer-view.attributes.label": "ویژگی ها",
            "views.me.offer-view.upgrade.offer-expired.notification": "این آگهی منقضی شده است",
            "views.me.offer-view.remove.success.info": "آگهی با موفقیت حذف شد",
            "views.me.offer-view.remove.error.info": "مشکل در حذف آگهی",
            "views.me.offer-view.remove.notification": "می‌خواهید این آگهی را حذف کنید؟",

            /* view me/offer-edit */
            "views.me.offer-edit.title": "آگهی",
            "views.me.offer-edit.name.label": "عنوان",
            "views.me.offer-edit.name.placeholder": "لطفا عنوان آگهی را درج نمایید",
            "views.me.offer-edit.description.label": "توضیحات",
            "views.me.offer-edit.description.placeholder": "لطفا توضیحات آگهی را درج نمایید",
            "views.me.offer-edit.category.label": "گروه",
            "views.me.offer-edit.location.label": "مکان",
            "views.me.offer-edit.location.list.title": "مکان",
            "views.me.offer-edit.gallery.label": "عکس‌ها",
            "views.me.offer-edit.gallery.primary.button": "عکس اصلی",
            "views.me.offer-edit.gallery.remove.button": "حذف",
            "views.me.offer-edit.gallery.remove.notification": "می‌خواهید عکس‌های انتخاب شده را حذف کنید؟",
            "views.me.offer-edit.upload.label": "از چه طریق تمایل به آپلود عکس دارید؟",
            "views.me.offer-edit.upload.from-gallery": "گالری عکس",
            "views.me.offer-edit.upload.from-camera": "عکس جدید با دوربین",
            "views.me.offer-edit.upload.cancel": "انصراف",
            "views.me.offer-edit.contact.label": "نام کاربری",
            "views.me.offer-edit.contact.placeholder": "نام کاربری",
            "views.me.offer-edit.mobile.label": "شماره موبایل",
            "views.me.offer-edit.mobile.placeholder": "لطفا شماره تلفن همراه خود را وارد کنید",
            "views.me.offer-edit.landline1.label": "شماره تلفن ۲ (اختیاری)",
            "views.me.offer-edit.landline1.placeholder": "لطفا شماره تلفن خود را وارد کنید",
            "views.me.offer-edit.landline2.label": "شماره تلفن ۳ (اختیاری)",
            "views.me.offer-edit.landline2.placeholder": "لطفا شماره تلفن خود را وارد کنید",
            "views.me.offer-edit.tos.info": "با ثبت این آگهی، شما با [BUTTON] موافقت کردید. ",
            "views.me.offer-edit.tos.button": "شرایط و قوانین استفاده",
            "views.me.offer-edit.success.create.info": "آگهی با موفقیت ذخیره شد",
            "views.me.offer-edit.success.edit.info": "آگهی با موفقیت ذخیره شد",
            "views.me.offer-edit.validation.name.required": "لطفاً عنوان آگهی را درج نمایید",
            "views.me.offer-edit.validation.description.required": "لطفاً توضیحات آگهی را درج نمایید",
            "views.me.offer-edit.validation.contact.required": "لطفاً نام کاربری را درج نمایید",
            "views.me.offer-edit.validation.contact.mobile.invalid": "شماره موبایل به درستی وارد نشده است",
            "views.me.offer-edit.validation.contact.landline1.invalid": "شماره تلفن به درستی وارد نشده است",
            "views.me.offer-edit.validation.contact.landline2.invalid": "شماره تلفن به درستی وارد نشده است",
            "views.me.offer-edit.validation.category.required": "گروهبندی باید انتخاب شود",
            "views.me.offer-edit.validation.location.required": "لطفاً مکان را انتخاب نمایید",
            "views.me.offer-edit.validation.attribute.required": "لطفاً ویژگی را تکمیل نمایید",
            "views.me.offer-edit.validation.contact.invalid": "اطلاعات تماس درست نمی‌باشد",
            "views.me.offer-edit.validation.text.invalid": "لطفا عنوان و شرح آگهی خود را درج نمایید",
            "views.me.offer-edit.validation.attributes.invalid": "بعضی از ویژگی ها درست نمی‌باشند",
            "views.me.offer-edit.validation.attributes.category": "اول گروه را انتخاب کنید",
            "views.me.offer-edit.validation.attributes.value.required": "پر کردن این قسمت الزامی است",
            "views.me.offer-edit.validation.attributes.value.invalid": "اطلاعات به درستی وارد نشده است",
            "views.me.offer-edit.validation.attributes.value.number.invalid": "لطفا عدد را به صورت لاتین وارد کنید",
            "views.me.offer-edit.validation.location.invalid": "لطفا مکان خود را انتخاب کنید",
            "views.me.offer-edit.validation.location.required": "لطفا مکان را انتخاب کنید",
            "views.me.offer-edit.validation.category.invalid": "لطفا گروه آگهی را انتخاب کنید",
            "views.me.offer-edit.select-category.info": "انتخاب گروه",
            "views.me.offer-edit.select-location.info": "انتخاب مکان",
            "views.me.offer-edit.select-text.info": "عنوان و شرح آگهی را درج نمایید",
            "views.me.offer-edit.select-contact.info": "اطلاعات تماس خود را درج نمایید",
            "views.me.offer-edit.no-contact.info": "هیچ اطلاعات تماسی درج نشده",
            "views.me.offer-edit.select-images.info": "آپلود عکس",
            "views.me.offer-edit.no-images.info": "هیچ عکسی آپلود نشده",
            "views.me.offer-edit.uploaded-images.info": "شما [NUMBER] عکس آپلود کردید",
            "views.me.offer-edit.select-attributes.info": "انتخاب ویژگی ها",
            "views.me.offer-edit.save.error": "مشکل در ذخیره آگهی",
            "views.me.offer-edit.no-category.warning": "لطفا اول گروه آگهی را انتخاب کنید",

            "views.me.offer-edit.text.title": "محتوا",
            "views.me.offer-edit.gallery.title": "عکس‌ها",
            "views.me.offer-edit.gallery.selection-empty.primary.info": "انتخاب عکس اصلی",
            "views.me.offer-edit.gallery.selection-empty.remove.info": "ابتدا عکس‌هایی که می‌خواهید حذف کنید را انتخاب کنید",
            "views.me.offer-edit.gallery.add.button": "آپلود عکس",
            "views.me.offer-edit.contact.title": "اطلاعات تماس",
            "views.me.offer-edit.contact.reset.info": "اطلاعات تماس به حالت پیش‌فرض برگشت",
            "views.me.offer-edit.contact.reset.button": "برگرداندن به حالت پیش‌فرض",
            "views.me.offer-edit.contact.save.button": "تایید",
            "views.me.offer-edit.attributes.title": "ویژگی‌ها",
            "views.me.offer-edit.attributes.save.button": "تایید",

            /* view me/offer-edit-doping */
            "views.me.offer-edit-doping.title": ",ویتامین‌ها",
            "views.me.offer-edit-doping.free.success.info": "آگهی رایگان شما با موفقیت ثبت شد",
            "views.me.offer-edit-doping.free.error.info": "مشکل در ثبت آگهی",

            /* view me/offer-edit-doping-duration */
            "views.me.offer-edit-doping-duration.title": "مدت زمان",
            "views.me.offer-edit-doping-duration.info": "انتخاب مدت زمان ویتامین",
            "views.me.offer-edit-doping-duration.duration.days": "ویتامین به مدت [DAYS] روز فعال خواهد بود",
            "views.me.offer-edit-doping-duration.duration.untilEnd": "ویتامین تا پایان زمان آگهی فعال خواهد بود",
            "views.me.offer-edit-doping-duration.price.label": "[PRICE] قیمت",
            "views.me.offer-edit-doping-duration.savings.label": " %[PERCENT] تخفیف",

            /* view me/offer-edit-doping-bank */
            "views.me.offer-edit-doping-bank.title": "بانک",
            "views.me.offer-edit-doping-bank.info": "انتخاب بانک",

            /* view me/offer-edit-doping-confirm */
            "views.me.offer-edit-doping-confirm.title": "تایید انتخاب",
            "views.me.offer-edit-doping-confirm.bank.redirect.info": "در حال انتقال به صفحه‌ی بانک",
            "views.me.offer-edit-doping-confirm.bank.redirect.button": "مشاهده آگهی ثبت شده",
            "views.me.offer-edit-doping-confirm.error.info": "مشکل در ثبت آگهی",
            "views.me.offer-edit-doping-confirm.save.button": "انتقال به درگاه بانک",

            /* view offer/view */
            "views.offer.view.title": "آگهی",
            "views.offer.view.footer.favorite-add": "مورد علاقه",
            "views.offer.view.footer.favorite-remove": "مورد علاقه",
            "views.offer.view.footer.share": "اشتراک",
            "views.offer.view.footer.contact": "تماس",
            "views.offer.view.footer.contact.label": "نحوه‌ی تماس با آگهی‌دهنده ؟ ",
            "views.offer.view.footer.contact.send-message": "ارسال پیام",
            "views.offer.view.footer.contact.call-mobile": "تماس با موبایل - [PHONE]",
            "views.offer.view.footer.contact.call-landline1": "تماس با شماره تلفن ۲ - [PHONE]",
            "views.offer.view.footer.contact.call-landline2": "تماس با شماره تلفن ۳ - [PHONE]",
            "views.offer.view.footer.contact.cancel": "انصراف",
            "views.offer.view.footer.share.title": "آگهی جالب",
            "views.offer.view.footer.share.message": "این آگهی رو ببین",
            "views.offer.view.favorite.add.info": "به لیست آگهی های مورد علاقه اضافه شد",
            "views.offer.view.favorite.remove.info": "از لیست آگهی های مورد علاقه حذف شد",
            "views.offer.view.prepayment.label": "رهن",
            "views.offer.view.price.label": "قیمت",
            "views.offer.view.rent.label": "اجاره",
            "views.offer.view.location.label": "مکان",
            "views.offer.view.date.label": "تاریخ ثبت",
            "views.offer.view.attributes.label": "ویژگی ها",
            "views.offer.view.404.info": "آین آگهی دیگر موجود نمی‌باشد",
            "views.offer.view.browse-more.button": "مشاهده تمام آگهی های گروه [CATEGORY]",

            /* view offer/view-message */
            "views.offer.view-message.title": "ارسال پیام",
            "views.offer.view-message.message.label": "پیام",
            "views.offer.view-message.message.placeholder": "پیام خود را اینجا بنویسید",
            "views.offer.view-message.email.label": "ایمیل",
            "views.offer.view-message.email.placeholder": "ایمیل خود را وارد کنید",
            "views.offer.view-message.send-copy.label": "کپی پیام به ایمیل من ارسال شود",
            "views.offer.view-message.validation.message.required": "پیام نمی‌تواند خالی بماند",
            "views.offer.view-message.validation.email.required": "درج ایمیل الزامی است",
            "views.offer.view-message.success.info": "ارسال پیام با موفقیت انجام شد",
            "views.offer.view-message.error.info": "مشکلی در ارسال پیام شما بوجود آمد",
            "views.offer.view-message.not-confirmed.info": "لطفا ایمیل خود را جهت ارسال پیام تایید نمایید. ایمیلی حاوی لینک تایید به شما ارسال شد.",

            /* view offer/search */
            "views.offer.search.title": "آگهی ها",
            "views.offer.search.empty.message": "هیچ آگهی با این مشخصات پیدا نشد",
            "views.offer.search.empty.filter.button": "لطفا مشخصات فیلترینگ جستجو خود را تغییر دهید",

            /* view offer/search-filter */
            "views.offer.search-filter.title": "فیلترینگ آگهی‌ها",
            "views.offer.search-filter.search.button": "اعمال",
            "views.offer.search-filter.save.button": "اعمال",
            "views.offer.search-filter.category.any": "همه گروه‌ها",
            "views.offer.search-filter.category.select": "انتخاب گروه",
            "views.offer.search-filter.location.any": "همه استان‌ها",
            "views.offer.search-filter.region.any": "همه استان‌ها",
            "views.offer.search-filter.region.select": "انتخاب استان",
            "views.offer.search-filter.city.any": "همه شهرها",
            "views.offer.search-filter.city.select": "انتخاب شهر",
            "views.offer.search-filter.neighbourhood.any": "همه محله‌ها",
            "views.offer.search-filter.neighbourhood.select": "انتخاب محله",
            "views.offer.search-filter.price.any": "همه قیمت‌ها (تومان)",
            "views.offer.search-filter.price.from-to": "از [FROM] تا [TO]",
            "views.offer.search-filter.price.from": "[FROM] از",
            "views.offer.search-filter.price.to": "[TO] تا",
            "views.offer.search-filter.price.edit.title": "انتخاب قیمت (تومان)",
            "views.offer.search-filter.price.edit.save.button": "تایید",
            "views.offer.search-filter.price.edit.any.selected": "همه قیمت‌ها انتخاب شد.",
            "views.offer.search-filter.price.edit.from.label": "از (تومان)",
            "views.offer.search-filter.price.edit.to.label": "تا (تومان)",
            "views.offer.search-filter.price.edit.from.placeholder": "۱،۰۰۰،۰۰۰",
            "views.offer.search-filter.price.edit.to.placeholder": "۲،۰۰۰،۰۰۰",
            "views.offer.search-filter.price.edit.reset.button": "نمایش همه قیمت‌ها",
            //"views.offer.search-filter.date.select":                            "انتخاب تاریخ ثبت", // (you don't need this anymore, remember)
            "views.offer.search-filter.sort.select": "مرتب سازی بر اساس",
            "views.offer.search-filter.reset.success": "فیلترینگ آگهی ها به حالت پیش فرض برگشت",
            "views.offer.search-filter.keywords.label": "جستجو",
            "views.offer.search-filter.keywords.placeholder": "جستجو",
            "views.offer.search-filter.location.label": "مکان",
            "views.offer.search-filter.category.label": "گروهبندی",
            "views.offer.search-filter.price.label": "قیمت",
            "views.offer.search-filter.date.label": "تاربخ ثبت",
            "views.offer.search-filter.sort.label": "مرتب سازی بر اساس",
            "views.offer.search-filter.pictures-only.label": "فقط عکس دار",
            "views.offer.search-filter.reset.button": "برگرداندن به حالت پیش فرض",
            "views.offer.search-filter.reset.info": "لغو فیلترینگ ؟",

            /* view offer/hot */
            "views.offer.hot.title": "آگهی های فروش فوری",
            "views.offer.hot.empty.message": "هیچ آگهی فروش فوری در حال حاضر موجود نیست.",
            "views.offer.hot.empty.search.button": "مشاهده جدید ترین آگهی ها",

            /* view offer/favorites */
            "views.offer.favorites.title": "مورد علاقه",
            "views.offer.favorites.empty.message": "شما هیچ آگهی مورد علاقه‌ای انتخاب نکردید",
            "views.offer.favorites.empty.search.button": "مشاهده جدید ترین آگهی ها",

            /* view offer/category */
            "views.offer.category.all-offers.button": "مشاهده همه آگهی‌ها",
            "views.offer.category.offers-in-category.button": "مشاهده آگهی‌ها",
            "views.offer.category.previous.button": "برگشت به گروه [NAME]",
            "views.offer.category.previous.root.button": "برگشت به صفحه اصلی گروه‌ها",

            /* view TOS */
            "views.tos.title": "شرایط استفاده",

            /* view privacy-policy */
            "views.privacy-policy.title": "سیاست حفظ حریم شخصی"

        };

    }

);

