﻿define([
  'models/base', 'globalize'
], function (ModelBase, globalize) {

    var translate = globalize.localizeBase("views.me.offer-edit.validation");

    var Model = ModelBase.extend({
        maxLevel:null,
        defaults: {
            location: null,
            locationDummy:null
        },
        validation: {
            locationDummy: {
                fn: function (valueDummy, attr, context) {
                    value = context.location;
                   
                    if (!value || !value.id || (value.childrenCount > 0 && value.level < this.maxLevel)) {
                        return translate("location.required");
                        //return "Please select location";
                    }
                }
            }
        }
    });

    return Model;
});