﻿define([
  'models/base', 'globalize'
], function (ModelBase, globalize) {

    var translate = globalize.localizeBase("views.me.offer-edit.validation");

    var Model = ModelBase.extend({
        defaults: {
            name: null,
            description: null
        },
        validation: {
            name: {
                required: true,
                msg: function () {
                    return translate("name.required");
                }
            },
            description: {
                required: true,
                msg: function () {
                    return translate("description.required");
                }
            }
        }
    });

    return Model;
});