﻿define([
  'models/base','globalize'
], function (ModelBase, globalize) {

    var translate = globalize.localizeBase("views.register.validation");

    var Model = ModelBase.extend({
        defaults: {
          //  nickName: "",
            email: "",
            password: ""
        },
        validation: {
            //nickName: {
            //    required: true,
            //    msg: function () {
            //        return translate("nickName.required");
            //    }
            //},
            email: {
                required: true,
                msg: function () {
                    return translate("email.required");
                }
            },
            password: {
                required: true,
                msg: function () {
                    return translate("password.required");
                }
            }
        },
        url: "/user/register"
    });

    return Model;
});