﻿define(['jquery'], function ($) {
    var SOURCE_APP = 1;
    var SOURCE_MYKET = 2;
    var SOURCE_SIBCHE = 3;
    var SOURCE_BAAZAR = 4;
    var SOURCE_GOOGLE_PLAY = 5;
    var SOURCE_APPLE_STORE = 6;
    var UPGRADE_NOTIFICATION_NONE = 0;
    var UPGRADE_NOTIFICATION_NOTIFY = 1;
    var UPGRADE_NOTIFICATION_AUTOUPGRADE = 2;
    var VERSION = {
        major: 1,
        minor: 0,
        build: 0
    }

    var source_app = {
        id: SOURCE_APP,
        upgradeNotification: UPGRADE_NOTIFICATION_NOTIFY,
        canBuyVitamins: false,
        location:null
    };

    var source_myket = {
        id: SOURCE_MYKET,
        upgradeNotification: UPGRADE_NOTIFICATION_NOTIFY,
        canBuyVitamins: false,
        location: null
    };

    var source_sibche = {
        id: SOURCE_SIBCHE,
        upgradeNotification: UPGRADE_NOTIFICATION_NOTIFY,
        canBuyVitamins: false,
        location: null
    };

    var source_apple_store = {
        id: SOURCE_APPLE_STORE,
        upgradeNotification: UPGRADE_NOTIFICATION_NOTIFY,
        canBuyVitamins: false,
        location: null
    };

    var source_google_play = {
        id: SOURCE_GOOGLE_PLAY,
        upgradeNotification: UPGRADE_NOTIFICATION_NOTIFY,
        canBuyVitamins: false,
        location: null
    };

    var settingsProduction = {
        apiUrl: "http://www.sheypoor.com/api",
        imageUrl: "http://static[].sheypoor.com/i",
        staticResourceVariations: 3,
        apiTimeout: null,
        updateCheckIntervalSeconds:3000,
        enableLanguage: false,
        enableDeviceInfo: false,
        enableLogging:false
    };

    var settingsSandbox = {
        apiUrl: "http://www.sandbox.us.to/api",
        imageUrl: "http://static[].sandbox.us.to/i",
        staticResourceVariations: 1,
        apiTimeout: null,
        updateCheckIntervalSeconds: 300,
        enableLanguage: true,
        enableDeviceInfo: true,
        enableLogging: true
    };

    var settingsLocal = {
        apiUrl: "http://www.commerce.loc/api",
        imageUrl: "http://static[].commerce.loc/i",
        staticResourceVariations: 1,
        apiTimeout: null,
        updateCheckIntervalSeconds: 10,
        enableLanguage: true,
        enableDeviceInfo: true,
        enableLogging: true
    };

    return $.extend({
        countryIdIran: 2,
        version: VERSION, 
        apiVersion: null,
        appVersion: null,
        source: source_google_play
    }, settingsProduction);
});
