﻿define([
  'jquery',
  'underscore',
  'api',
  'globalize',
  'template',
  'uiControlBase',
  'uiControlBaseContainer'
], function ($, _, api, globalize, template, uiControlBase, uiControlBaseContainer) {

    var Control = uiControlBase.extend({
        left: null,
        middle: null,
        right: null,
        initialize: function (options) {
            this.left = new uiControlBaseContainer({
            });
            this.middle = new uiControlBaseContainer({
            });
            this.right = new uiControlBaseContainer({
            });
        },
        onBeforeDestory: function () {
            if (this.left) this.left.destroy();
            if (this.middle) this.middle.destroy();
            if (this.right) this.right.destroy();
        },
        onRender: function () {
            if (this.left) this.left.render();
            if (this.middle) this.middle.render();
            if (this.right) this.right.render();
        }
    });

    return Control;
});