﻿define(["jquery", "uiGlobal"],
        function ($, uiGlobal) {

            function Spinner() {
                var _visible = false;


                function show(options) {
                    if (_visible) return;

                    if (window.spinnerplugin) {
                        window.spinnerplugin.show(options || {});
                    } else {

                    }

                    _visible = true;

                }

                function hide() {
                    if (!_visible) return;

                    if (window.spinnerplugin) {
                        window.spinnerplugin.hide();
                    } else {

                    }
                    _visible = false;
                }

                this.show = show;
                this.hide = hide;
            }

            return new Spinner();
        }
);