﻿define([
  'jquery',
  'underscore',
  'globalize',
  'api',
  'models/feedback',
  'views/base',
  'uiToast',
  'template',
  'uiGlobal'
], function ($, _, globalize, api, Model, ViewBase, uiToast, template,uiGlobal) {

    var translate = globalize.localizeBase("views.doping-info");
    var translateShared = globalize.localizeBase("views.shared");

    var View = ViewBase.extend({
        initialize: function () {
            this.constructor.__super__.initialize.call(this);
            this.title = translate("title");
        },
        renderTemplate: function () {
            return template.dopingInfo({
                translate: translate,
            });
        },
        onpagerenderdone:function(){
           // this.$("#email").focus();
        },
        initializeHeader: function (o) {
            o.viewSaveCancel({
                title: this.title,
                cancelText: translateShared("close"),
                cancelIcon: "icon-cancel",
                onCancel: $.proxy(function () {
                    this.navigateBack();
                },this),
                okEnabled:false
            });
        },
        initializeFooter: function (o) {
            o.viewNone();
        }
    });
    return View;
});