﻿define([
  'jquery',
  'underscore',
  'api',
  'globalize',
  'views/base',
  'uiTimeAgo',
  'models/me/message',
  'template'
], function ($, _, api, globalize, ViewBase, uiTimeago, Model,template) {
    var View = ViewBase.extend({
        title: "Message",
        initialize: function (options) {
            this.constructor.__super__.initialize.call(this);

            this.setModel(new Model({
                id: options.id
            }));
            this.load();
        },
        load: function () {
            var self = this;
            this.fetchModel({
                reset: true,
                data: this.apiData
            }, this.collection).done(function (data) {
                self.render();
            });
        },
        renderTemplate: function () {
            return template.me.messageView({});
        },
        initializeFooter: function (o) {
            o.viewNone();
        }
    });
    return View;
});